

spin_trylock() returns true on uniprocessor.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/oprofile/backtrace.c |    4 ----
 1 files changed, 4 deletions(-)

diff -puN arch/i386/oprofile/backtrace.c~oprofile-i386-support-for-stack-trace-sampling-tidy arch/i386/oprofile/backtrace.c
--- 25/arch/i386/oprofile/backtrace.c~oprofile-i386-support-for-stack-trace-sampling-tidy	2004-11-11 02:14:21.115593296 -0800
+++ 25-akpm/arch/i386/oprofile/backtrace.c	2004-11-11 02:14:36.091316640 -0800
@@ -110,15 +110,11 @@ x86_backtrace(struct pt_regs * const reg
 		return;
 	}
 
-#ifdef CONFIG_SMP
 	if (!spin_trylock(&current->mm->page_table_lock))
 		return;
-#endif
 
 	while (depth-- && head && pages_present(head))
 		head = dump_backtrace(head);
 
-#ifdef CONFIG_SMP
 	spin_unlock(&current->mm->page_table_lock);
-#endif
 }
_
